
Redmine - Defect #5433

select from in updates causing 'page not found'

2010-05-03 23:16 - Garett Shulman

Status: Closed Start date: 2010-05-03

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version:  

Description

I have gotten a number of reports from users of a redmine instance that sometimes when they try to add an update to an issue they

end up at a page which says "Page not found The page you were trying to access doesn't exist or has been removed. Back".  I was

able to get a copy of the text of an update causing this behavior and narrowed it down to the text 'select from' (the originial was like

'selection ... from'. In the log I see: ActionController::RoutingError (No route matches "/500.shtml" with {:method=>:get}): Rendering

/home/strategy/redmine/public/404.html (404 Not Found)

I'm thinking that this may be related to some input validation for sql injection.  I'm curious to see if this update will post.  Any ideas

about things I might try so that users don't see the 404?  The redmine instance is running latest svn trunk.  Thanks! -Garett

History

#1 - 2010-05-05 21:56 - Jean-Philippe Lang

the originial was like 'selection ... from'

#2 - 2010-05-05 21:57 - Jean-Philippe Lang

Previous update seems to work.

#3 - 2010-05-05 22:00 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Cant reproduce
